Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009375 [DCSS] Patches major N/A 2015-01-02 00:22 2018-09-30 14:55
Reporter ebering View Status public  
Assigned To Medar
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009375: Change monster holiness into a bitfield.
Description Holinesses have not been exclusive and there's a lot of special casing. This patch changes that and removes a bunch of special cases.

The most controversial monster change is probably making death caps and cobs MH_PLANT and Fedhas protecting and neutralizing all plants, even undead ones.

I started writing this because I wanted to reveal to the player which monsters TSO hated without an information leak about monster spells and it was this or add another special case. neil suggested doing the right thing first.
Additional Information
Tags No tags attached.
Attached Files ? file icon mon_holy_bitfield.patch [^] (102,346 bytes) 2015-11-26 21:02 [Show Content]

- Relationships

-  Notes
(0029607)
ebering (developer)
2015-10-14 03:10

Uploaded patch is rebased to current (0.17) trunk and adds clua support for multi-holiness with interface similar to you.status
(0029910)
neil (administrator)
2015-12-03 20:29

In branch "holinesses" https://github.com/crawl/crawl/tree/holinesses [^]
(0030063)
Medar (developer)
2015-12-22 15:40

This has been merged. Hooray!

- Issue History
Date Modified Username Field Change
2015-01-02 00:22 ebering New Issue
2015-01-02 00:22 ebering File Added: multi-holi.patch
2015-02-10 11:25 chris Issue Monitored: chris
2015-10-14 03:09 ebering File Added: multi-holi-01.patch
2015-10-14 03:10 ebering Note Added: 0029607
2015-10-24 01:08 ebering File Deleted: multi-holi.patch
2015-11-22 22:36 ebering File Deleted: multi-holi-01.patch
2015-11-22 22:37 ebering File Added: mon_holy_bitfield.patch
2015-11-26 20:49 ebering File Deleted: mon_holy_bitfield.patch
2015-11-26 21:02 ebering File Added: mon_holy_bitfield.patch
2015-12-03 20:29 neil Note Added: 0029910
2015-12-22 15:40 Medar Note Added: 0030063
2015-12-22 15:40 Medar Status new => resolved
2015-12-22 15:40 Medar Fixed in Branch => 0.18 development branch
2015-12-22 15:40 Medar Resolution open => done
2015-12-22 15:40 Medar Assigned To => Medar
2018-09-30 14:55 ebering Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker